// pages/volunteer/volunteer.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    baseUrl: 'http://192.168.0.111:8888/volunteer/',
    token: '',
    otherTeamMap: {},
    type: '1'
  },
  getToken: function() {
    var self = this;
    return new Promise(resolve =>{
      wx.getStorage({
        key: 'token',
        success(res) {
          self.setData({
            token: res.data
          })
          return resolve();
        }
      })
    })
  },
  newTeam: function () {
    wx.navigateTo({
      url: '../newTeam/newTeam',
    })
  },
  changeTab: function(e) {
    var self = this;
    self.setData({
      type: e.currentTarget.dataset.type
    })
    if(self.data.type === '1') {
      console.log('otherteam')
      self.otherTeam(self.data.baseUrl + 'wxminiapp/team/otherteamm?otherTeam=true');
    }else {
      console.log('myteams')
      self.otherTeam(self.data.baseUrl + 'wxminiapp/team/listpageteam');
    }
  },
  otherTeam: function(url) {
    var self = this;
    wx.request({
      url: url,
      header: {
        token: self.data.token
      },
      success(res) {
        console.log(res.data);
        self.setData({
          otherTeamMap: res.data.rows
        })
        console.log(res.data.rows)
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var self = this;
    this.getToken().then(result => {
      this.otherTeam(self.data.baseUrl + 'wxminiapp/team/otherteamm?otherTeam=true');
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})